package cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;
import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2025/2/26
 */
public class UpdateQAKnowledgeStructRequest extends AbstractRequest<AbstractResult> implements Serializable {

    private String knowledgeId;

    private Long structId;

    private String structName;

    private String isIndex;

    public String getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    public Long getStructId() {
        return structId;
    }

    public void setStructId(Long structId) {
        this.structId = structId;
    }

    public String getStructName() {
        return structName;
    }

    public void setStructName(String structName) {
        this.structName = structName;
    }

    public String getIsIndex() {
        return isIndex;
    }

    public void setIsIndex(String isIndex) {
        this.isIndex = isIndex;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
